LINUX.ORG.RU

Почему в Дебиан тестинг не обновляется ядро?

 ,


0

1
root@debian:/etc/apt# uname -r
4.19.0-6-amd64
root@debian:/etc/apt# 
# deb cdrom:[Debian GNU/Linux 10.2.0 _Buster_ - Official amd64 NETINST 20191116-09:56]/ buster main

#deb cdrom:[Debian GNU/Linux 10.2.0 _Buster_ - Official amd64 NETINST 20191116-09:56]/ buster main

deb http://debian.volia.net/debian/ bullseye main non-free contrib
deb-src http://debian.volia.net/debian/ bullseye main non-free contrib

deb http://security.debian.org/ bullseye/updates main contrib non-free
deb-src http://security.debian.org/ bullseye/updates main contrib non-free

# buster-updates, previously known as 'volatile'
#deb http://debian.volia.net/debian/ buster-updates main
#deb-src http://debian.volia.net/debian/ buster-updates main

# This system was installed using small removable media
# (e.g. netinst, live or single CD). The matching "deb cdrom"
# entries were disabled at the end of the installation process.
# For information about how to configure apt package sources,
# see the sources.list(5) manual.
root@debian:/etc/apt# apt update
Hit:1 http://debian.volia.net/debian bullseye InRelease
Ign:2 http://security.debian.org bullseye/updates InRelease    
Err:3 http://security.debian.org bullseye/updates Release      
  404  Not Found [IP: 151.101.112.204 80]
Reading package lists... Done
E: The repository 'http://security.debian.org bullseye/updates Release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@debian:/etc/apt# 
Deleted

Ответ на: комментарий от Radjah
root@debian:/etc/apt# dpkg -l linux-image\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                Version           Architecture Description
+++-===================================-=================-============-===================================
ii  linux-image-4.19.0-6-amd64          4.19.67-2+deb10u2 amd64        Linux 4.19 for 64-bit PCs (signed)
un  linux-image-4.19.0-6-amd64-unsigned <none>            <none>       (no description available)
ii  linux-image-5.3.0-3-amd64           5.3.15-1          amd64        Linux 5.3 for 64-bit PCs (signed)
un  linux-image-5.3.0-3-amd64-unsigned  <none>            <none>       (no description available)
ii  linux-image-amd64                   5.3.15-1          amd64        Linux for 64-bit PCs (meta-package)
root@debian:/etc/apt# dpkg -l linux-image\*
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                                Version           Architecture Description
+++-===================================-=================-============-===================================
ii  linux-image-4.19.0-6-amd64          4.19.67-2+deb10u2 amd64        Linux 4.19 for 64-bit PCs (signed)
un  linux-image-4.19.0-6-amd64-unsigned <none>            <none>       (no description available)
ii  linux-image-5.3.0-3-amd64           5.3.15-1          amd64        Linux 5.3 for 64-bit PCs (signed)
un  linux-image-5.3.0-3-amd64-unsigned  <none>            <none>       (no description available)
ii  linux-image-amd64                   5.3.15-1          amd64        Linux for 64-bit PCs (meta-package)
root@debian:/etc/apt# 

Deleted ()
Ответ на: комментарий от Deleted

Testing, Sid они не для использования так то, там ни обновления безопасности, ни каких то правил особых. Но зато оттуда можно брать программы в stable - https://wiki.debian.org/SimpleBackportCreation

Я никогда и не уходил.

insw ()
Последнее исправление: insw (всего исправлений: 1)